# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import augment_gui_pb2 as augment__gui__pb2


class AUGMENTGUIStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.processAudioData = channel.unary_unary(
                '/AUGMENTGUI/processAudioData',
                request_serializer=augment__gui__pb2.Empty.SerializeToString,
                response_deserializer=augment__gui__pb2.Empty.FromString,
                )


class AUGMENTGUIServicer(object):
    """Missing associated documentation comment in .proto file."""

    def processAudioData(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_AUGMENTGUIServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'processAudioData': grpc.unary_unary_rpc_method_handler(
                    servicer.processAudioData,
                    request_deserializer=augment__gui__pb2.Empty.FromString,
                    response_serializer=augment__gui__pb2.Empty.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'AUGMENTGUI', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class AUGMENTGUI(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def processAudioData(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/AUGMENTGUI/processAudioData',
            augment__gui__pb2.Empty.SerializeToString,
            augment__gui__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
